{% extends 'base.html.twig' %}

{% block title %}Profile{% endblock %}

{% block breadcrumbs %}
    <div class="mybreadcrumb">
        <div class="container">
            <ul class="breadcrumbs">
                <li class="home">
                    <a href="{{ path('home') }}" title="Go to Home Page"><img
                                src="{{ asset('/build/images/home.png') }}" alt="Home"/></a>&nbsp;
                    <span>&gt;</span>
                </li>
                <li>
                    <span class="grey">Profile</span>
                </li>
            </ul>
            <ul class="previous">
                <li><a href="{{ app.request.headers.get('referer') }}">Back to Previous Page</a></li>
            </ul>
            <div class="clearfix"></div>
        </div>
    </div>
{% endblock %}

{% block body %}

    <section id="categoryBanner">
        <h1>Profile</h1>
    </section>

    <div class="container">
        <div class="row">
            <div class="col-sm-12 col-xl-3">
                <div class="card">
                    <div class="card-header">
                        <i class="fa fa-align-justify"></i> Controls
                    </div>
                    <div class="card-body">
                        <div class="controls">
                            <a href="{{ path('profile.orders') }}" class="btn btn-primary">My Orders</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="card">
            <div class="card-header">Profile</div>
            <div class="card-body">
                <table class="table table-bordered mb-0">
                    <tbody>
                    <tr>
                        <th>Name</th>
                        <td>
                            {{ user.name.full }}
                            <a href="{{ path('profile.name') }}" class="btn btn-sm btn-outline-primary"><span
                                        class="fa fa-pencil"></span></a>
                        </td>
                    </tr>
                    <tr>
                        <th>Email</th>
                        <td>
                            {{ user.email ? user.email.value : '' }}
                            <a href="{{ path('profile.email') }}" class="btn btn-sm btn-outline-primary"><span
                                        class="fa fa-pencil"></span></a>
                        </td>
                    </tr>
                    <tr>
                        <th>Created</th>
                        <td>{{ user.date|date('Y-m-d H:i:s') }}</td>
                    </tr>

                    <tr>
                        <th>Role</th>
                        <td>{{ user_role(user.role.name) }}</td>
                    </tr>
                    <tr>
                        <th>Status</th>
                        <td>{{ user_status(user.status) }}</td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>

        <div class="card">
            <div class="card-header">Networks</div>
            <div class="card-body">
                {% if user.networks %}
                    <table class="table table-bordered">
                        <tbody>
                        {% for network in user.networks %}
                            <tr>
                                <th>{{ network.network }}</th>
                                <td>
                                    {{ network.identity }}
                                </td>
                                <td>
                                    <form
                                            action="{{ url('profile.oauth.detach', {network: network.network, identity: network.identity}) }}"
                                            method="post"
                                            onsubmit="return confirm('Are you sure?')"
                                    >
                                        <input type="hidden" name="_method" value="DELETE"/>
                                        <input type="hidden" name="token" value="{{ csrf_token('delete') }}"/>
                                        <button type="submit" class="btn btn-sm btn-danger">
                                            <i class="fa fa-trash"></i>
                                        </button>
                                    </form>
                                </td>
                            </tr>
                            {% if user.networks[1] is not defined and network.network == 'facebook' %}
                                <tr>
                                    <td>
                                        <a href="{{ path('profile.oauth.google') }}" class="btn btn-google-plus">Attach
                                            Google</a>
                                    </td>
                                </tr>
                            {% elseif user.networks[1] is not defined and network.network == 'google' %}
                                <tr>
                                    <td>
                                        <a href="{{ path('profile.oauth.facebook') }}" class="btn btn-facebook">Attach
                                            Facebook</a>
                                    </td>
                                </tr>
                            {% endif %}


                        {% endfor %}
                        </tbody>
                    </table>
                {% endif %}
                {% if user.networks is empty %}
                    <a href="{{ path('profile.oauth.facebook') }}" class="btn btn-facebook">Attach Facebook</a>
                    <a href="{{ path('profile.oauth.google') }}" class="btn btn-google-plus">Attach Google</a>
                {% endif %}
            </div>
        </div>
    </div>

{% endblock %}